Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface ContainerTransactionType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ContainerTransactionTypeImpl

    public interface ContainerTransactionType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `container-transactionType` xsd type

Original Documentation:

The container-transactionType specifies how the container
must manage transaction scopes for the enterprise bean's
method invocations. It defines an optional description, a
list of method elements, and a transaction attribute. The
transaction attribute is to be applied to all the specified
methods.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<MethodType<ContainerTransactionType<T>>>` | `getMethodList()` Returns all `method` elements
`TransAttributeType` | `getTransAttribute()` Returns the `trans-attribute` element
`java.lang.String` | `getTransAttributeAsString()` Returns the `trans-attribute` element
`MethodType<ContainerTransactionType<T>>` | `method()` Returns the `method` element
`ContainerTransactionType<T>` | `removeAllDescription()` Removes the `description` element
`ContainerTransactionType<T>` | `removeAllMethod()` Removes all `method` elements
`ContainerTransactionType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ContainerTransactionType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ContainerTransactionType<T>` | `setTransAttribute(java.lang.String transAttribute)` If not already created, a new `trans-attribute` element with the given value will be created.
`ContainerTransactionType<T>` | `setTransAttribute(TransAttributeType transAttribute)` If not already created, a new `trans-attribute` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ContainerTransactionType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ContainerTransactionType`

### setDescriptionList

    ContainerTransactionType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ContainerTransactionType`

### removeAllDescription

    ContainerTransactionType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ContainerTransactionType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### removeAllMethod

    ContainerTransactionType<T> removeAllMethod()

  Removes all `method` elements

  Returns:
    the current instance of `ContainerTransactionType`

### method

    MethodType<ContainerTransactionType<T>> method()

  Returns the `method` element

  Returns:
    the node defined for the element `method`

### getMethodList

    java.util.List<MethodType<ContainerTransactionType<T>>> getMethodList()

  Returns all `method` elements

  Returns:
    list of `method`

### setTransAttribute

    ContainerTransactionType<T> setTransAttribute(TransAttributeType transAttribute)

  If not already created, a new `trans-attribute` element with the given value will be created. Otherwise, the existing `trans-attribute` element will be updated with the given value.

  Returns:
    the current instance of `ContainerTransactionType`

### setTransAttribute

    ContainerTransactionType<T> setTransAttribute(java.lang.String transAttribute)

  If not already created, a new `trans-attribute` element with the given value will be created. Otherwise, the existing `trans-attribute` element will be updated with the given value.

  Returns:
    the current instance of `ContainerTransactionType`

### getTransAttribute

    TransAttributeType getTransAttribute()

  Returns the `trans-attribute` element

  Returns:
    the node defined for the element `trans-attribute`

### getTransAttributeAsString

    java.lang.String getTransAttributeAsString()

  Returns the `trans-attribute` element

  Returns:
    the node defined for the element `trans-attribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD